Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Interface XProgramElement

All Superinterfaces:
  Comparable, Named

All Known Subinterfaces:
  XClass, XConstructor, XExecutableMember, XField, XMember, XMethod, XType

All Known Implementing Classes:
  AbstractClass, AbstractExecutableMember, AbstractProgramElement, ConstructorImpl, FieldImpl, MemberImpl, MethodImpl

public interface XProgramElement
extends Comparable, Named

Describe what this class does

Version:
  $Revision: 1.18 $
Author:
  Ara Abrahamian, Aslak Hellesøy

Method Summary
`XClass` | `getContainingClass()`
`XPackage` | `getContainingPackage()`
`XDoc` | `getDoc()`
`String` | `getModifiers()`
`int` | `getModifierSpecifier()`
`XProgramElement` | `getSuperElement()`
`List` | `getSuperInterfaceElements()`
`XJavaDoc` | `getXJavaDoc()`
`boolean` | `isAbstract()`
`boolean` | `isFinal()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`void` | `updateDoc()` update docs

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface xjavadoc.Named
`getName`

Method Detail

### getContainingClass

    public XClass getContainingClass()

### getContainingPackage

    public XPackage getContainingPackage()

### isFinal

    public boolean isFinal()

### isPackagePrivate

    public boolean isPackagePrivate()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isAbstract

    public boolean isAbstract()

### isPublic

    public boolean isPublic()

### isStatic

    public boolean isStatic()

### getModifiers

    public String getModifiers()

### getModifierSpecifier

    public int getModifierSpecifier()

### getDoc

    public XDoc getDoc()

### getSuperElement

    public XProgramElement getSuperElement()

### getSuperInterfaceElements

    public List getSuperInterfaceElements()

### getXJavaDoc

    public XJavaDoc getXJavaDoc()

### updateDoc

    public void updateDoc()

  update docs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.